#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels
#define OLED_RESET -1 // Reset pin # (or -1 if sharing Arduino reset pin)
                  
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

int sensorPin = 27;    // analog input pin RP2040 pin 27
int val = 0;  // variable to store the value coming from the sensor

unsigned int ADCValue;

void setup() {

  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
  delay(2000);
  display.clearDisplay();
  display.setTextColor(WHITE);

  Serial.begin(9600); // initialize serial communications

  pinMode(28,OUTPUT);
}

void loop() {

  display.clearDisplay();
  val = analogRead(sensorPin); // read the value from the sensor
  val = map(val,0, 1023, 0, 255);
  Serial.println(val); // print value to Serial Monitor
  analogWrite(28,val);

  display.setTextSize(2);
  display.setCursor(0, 28);
  display.print(val);

  display.display();
  delay(300);
}